RHSA-2009:1060-02 Important: pidgin security update
Posted on: 05/22/2009 01:50 PM

A new update is available for Red Hat Enterprise Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: pidgin security update
Advisory ID: RHSA-2009:1060-02
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2009-1060.html
Issue date: 2009-05-22
CVE Names: CVE-2009-1373 CVE-2009-1374 CVE-2009-1375
CVE-2009-1376
=====================================================================

1. Summary:

Updated pidgin packages that fix several security issues are now available
for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
RHEL Desktop Workstation (v. 5 client) - i386, x86_64

3. Description:

Pidgin is an instant messaging program which can log in to multiple
accounts on multiple instant messaging networks simultaneously.

A buffer overflow flaw was found in the way Pidgin initiates file transfers
when using the Extensible Messaging and Presence Protocol (XMPP). If a
Pidgin client initiates a file transfer, and the remote target sends a
malformed response, it could cause Pidgin to crash or, potentially, execute
arbitrary code with the permissions of the user running Pidgin. This flaw
only affects accounts using XMPP, such as Jabber and Google Talk.
(CVE-2009-1373)

A denial of service flaw was found in Pidgin's QQ protocol decryption
handler. When the QQ protocol decrypts packet information, heap data can be
overwritten, possibly causing Pidgin to crash. (CVE-2009-1374)

A flaw was found in the way Pidgin's PurpleCircBuffer object is expanded.
If the buffer is full when more data arrives, the data stored in this
buffer becomes corrupted. This corrupted data could result in confusing or
misleading data being presented to the user, or possibly crash Pidgin.
(CVE-2009-1375)

It was discovered that on 32-bit platforms, the Red Hat Security Advisory
RHSA-2008:0584 provided an incomplete fix for the integer overflow flaw
affecting Pidgin's MSN protocol handler. If a Pidgin client receives a
specially-crafted MSN message, it may be possible to execute arbitrary code
with the permissions of the user running Pidgin. (CVE-2009-1376)

Note: By default, when using an MSN account, only users on your buddy list
can send you messages. This prevents arbitrary MSN users from exploiting
this flaw.

All Pidgin users should upgrade to these updated packages, which contain
backported patches to resolve these issues. Pidgin must be restarted for
this update to take effect.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

500488 - CVE-2009-1373 pidgin file transfer buffer overflow
500490 - CVE-2009-1374 pidgin DoS when decrypting qq packets
500491 - CVE-2009-1375 pidgin PurpleCircBuffer corruption
500493 - CVE-2009-1376 pidgin incomplete fix for CVE-2008-2927

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/pidgin-2.5.5-2.el4.src.rpm

i386:
finch-2.5.5-2.el4.i386.rpm
finch-devel-2.5.5-2.el4.i386.rpm
libpurple-2.5.5-2.el4.i386.rpm
libpurple-devel-2.5.5-2.el4.i386.rpm
libpurple-perl-2.5.5-2.el4.i386.rpm
libpurple-tcl-2.5.5-2.el4.i386.rpm
pidgin-2.5.5-2.el4.i386.rpm
pidgin-debuginfo-2.5.5-2.el4.i386.rpm
pidgin-devel-2.5.5-2.el4.i386.rpm
pidgin-perl-2.5.5-2.el4.i386.rpm

ia64:
finch-2.5.5-2.el4.ia64.rpm
finch-devel-2.5.5-2.el4.ia64.rpm
libpurple-2.5.5-2.el4.ia64.rpm
libpurple-devel-2.5.5-2.el4.ia64.rpm
libpurple-perl-2.5.5-2.el4.ia64.rpm
libpurple-tcl-2.5.5-2.el4.ia64.rpm
pidgin-2.5.5-2.el4.ia64.rpm
pidgin-debuginfo-2.5.5-2.el4.ia64.rpm
pidgin-devel-2.5.5-2.el4.ia64.rpm
pidgin-perl-2.5.5-2.el4.ia64.rpm

ppc:
finch-2.5.5-2.el4.ppc.rpm
finch-devel-2.5.5-2.el4.ppc.rpm
libpurple-2.5.5-2.el4.ppc.rpm
libpurple-devel-2.5.5-2.el4.ppc.rpm
libpurple-perl-2.5.5-2.el4.ppc.rpm
libpurple-tcl-2.5.5-2.el4.ppc.rpm
pidgin-2.5.5-2.el4.ppc.rpm
pidgin-debuginfo-2.5.5-2.el4.ppc.rpm
pidgin-devel-2.5.5-2.el4.ppc.rpm
pidgin-perl-2.5.5-2.el4.ppc.rpm

x86_64:
finch-2.5.5-2.el4.x86_64.rpm
finch-devel-2.5.5-2.el4.x86_64.rpm
libpurple-2.5.5-2.el4.x86_64.rpm
libpurple-devel-2.5.5-2.el4.x86_64.rpm
libpurple-perl-2.5.5-2.el4.x86_64.rpm
libpurple-tcl-2.5.5-2.el4.x86_64.rpm
pidgin-2.5.5-2.el4.x86_64.rpm
pidgin-debuginfo-2.5.5-2.el4.x86_64.rpm
pidgin-devel-2.5.5-2.el4.x86_64.rpm
pidgin-perl-2.5.5-2.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/pidgin-2.5.5-2.el4.src.rpm

i386:
finch-2.5.5-2.el4.i386.rpm
finch-devel-2.5.5-2.el4.i386.rpm
libpurple-2.5.5-2.el4.i386.rpm
libpurple-devel-2.5.5-2.el4.i386.rpm
libpurple-perl-2.5.5-2.el4.i386.rpm
libpurple-tcl-2.5.5-2.el4.i386.rpm
pidgin-2.5.5-2.el4.i386.rpm
pidgin-debuginfo-2.5.5-2.el4.i386.rpm
pidgin-devel-2.5.5-2.el4.i386.rpm
pidgin-perl-2.5.5-2.el4.i386.rpm

x86_64:
finch-2.5.5-2.el4.x86_64.rpm
finch-devel-2.5.5-2.el4.x86_64.rpm
libpurple-2.5.5-2.el4.x86_64.rpm
libpurple-devel-2.5.5-2.el4.x86_64.rpm
libpurple-perl-2.5.5-2.el4.x86_64.rpm
libpurple-tcl-2.5.5-2.el4.x86_64.rpm
pidgin-2.5.5-2.el4.x86_64.rpm
pidgin-debuginfo-2.5.5-2.el4.x86_64.rpm
pidgin-devel-2.5.5-2.el4.x86_64.rpm
pidgin-perl-2.5.5-2.el4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/pidgin-2.5.5-2.el4.src.rpm

i386:
finch-2.5.5-2.el4.i386.rpm
finch-devel-2.5.5-2.el4.i386.rpm
libpurple-2.5.5-2.el4.i386.rpm
libpurple-devel-2.5.5-2.el4.i386.rpm
libpurple-perl-2.5.5-2.el4.i386.rpm
libpurple-tcl-2.5.5-2.el4.i386.rpm
pidgin-2.5.5-2.el4.i386.rpm
pidgin-debuginfo-2.5.5-2.el4.i386.rpm
pidgin-devel-2.5.5-2.el4.i386.rpm
pidgin-perl-2.5.5-2.el4.i386.rpm

ia64:
finch-2.5.5-2.el4.ia64.rpm
finch-devel-2.5.5-2.el4.ia64.rpm
libpurple-2.5.5-2.el4.ia64.rpm
libpurple-devel-2.5.5-2.el4.ia64.rpm
libpurple-perl-2.5.5-2.el4.ia64.rpm
libpurple-tcl-2.5.5-2.el4.ia64.rpm
pidgin-2.5.5-2.el4.ia64.rpm
pidgin-debuginfo-2.5.5-2.el4.ia64.rpm
pidgin-devel-2.5.5-2.el4.ia64.rpm
pidgin-perl-2.5.5-2.el4.ia64.rpm

x86_64:
finch-2.5.5-2.el4.x86_64.rpm
finch-devel-2.5.5-2.el4.x86_64.rpm
libpurple-2.5.5-2.el4.x86_64.rpm
libpurple-devel-2.5.5-2.el4.x86_64.rpm
libpurple-perl-2.5.5-2.el4.x86_64.rpm
libpurple-tcl-2.5.5-2.el4.x86_64.rpm
pidgin-2.5.5-2.el4.x86_64.rpm
pidgin-debuginfo-2.5.5-2.el4.x86_64.rpm
pidgin-devel-2.5.5-2.el4.x86_64.rpm
pidgin-perl-2.5.5-2.el4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/pidgin-2.5.5-2.el4.src.rpm

i386:
finch-2.5.5-2.el4.i386.rpm
finch-devel-2.5.5-2.el4.i386.rpm
libpurple-2.5.5-2.el4.i386.rpm
libpurple-devel-2.5.5-2.el4.i386.rpm
libpurple-perl-2.5.5-2.el4.i386.rpm
libpurple-tcl-2.5.5-2.el4.i386.rpm
pidgin-2.5.5-2.el4.i386.rpm
pidgin-debuginfo-2.5.5-2.el4.i386.rpm
pidgin-devel-2.5.5-2.el4.i386.rpm
pidgin-perl-2.5.5-2.el4.i386.rpm

ia64:
finch-2.5.5-2.el4.ia64.rpm
finch-devel-2.5.5-2.el4.ia64.rpm
libpurple-2.5.5-2.el4.ia64.rpm
libpurple-devel-2.5.5-2.el4.ia64.rpm
libpurple-perl-2.5.5-2.el4.ia64.rpm
libpurple-tcl-2.5.5-2.el4.ia64.rpm
pidgin-2.5.5-2.el4.ia64.rpm
pidgin-debuginfo-2.5.5-2.el4.ia64.rpm
pidgin-devel-2.5.5-2.el4.ia64.rpm
pidgin-perl-2.5.5-2.el4.ia64.rpm

x86_64:
finch-2.5.5-2.el4.x86_64.rpm
finch-devel-2.5.5-2.el4.x86_64.rpm
libpurple-2.5.5-2.el4.x86_64.rpm
libpurple-devel-2.5.5-2.el4.x86_64.rpm
libpurple-perl-2.5.5-2.el4.x86_64.rpm
libpurple-tcl-2.5.5-2.el4.x86_64.rpm
pidgin-2.5.5-2.el4.x86_64.rpm
pidgin-debuginfo-2.5.5-2.el4.x86_64.rpm
pidgin-devel-2.5.5-2.el4.x86_64.rpm
pidgin-perl-2.5.5-2.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/pidgin-2.5.5-3.el5.src.rpm

i386:
finch-2.5.5-3.el5.i386.rpm
libpurple-2.5.5-3.el5.i386.rpm
libpurple-perl-2.5.5-3.el5.i386.rpm
libpurple-tcl-2.5.5-3.el5.i386.rpm
pidgin-2.5.5-3.el5.i386.rpm
pidgin-debuginfo-2.5.5-3.el5.i386.rpm
pidgin-perl-2.5.5-3.el5.i386.rpm

x86_64:
finch-2.5.5-3.el5.i386.rpm
finch-2.5.5-3.el5.x86_64.rpm
libpurple-2.5.5-3.el5.i386.rpm
libpurple-2.5.5-3.el5.x86_64.rpm
libpurple-perl-2.5.5-3.el5.x86_64.rpm
libpurple-tcl-2.5.5-3.el5.x86_64.rpm
pidgin-2.5.5-3.el5.i386.rpm
pidgin-2.5.5-3.el5.x86_64.rpm
pidgin-debuginfo-2.5.5-3.el5.i386.rpm
pidgin-debuginfo-2.5.5-3.el5.x86_64.rpm
pidgin-perl-2.5.5-3.el5.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/pidgin-2.5.5-3.el5.src.rpm

i386:
finch-devel-2.5.5-3.el5.i386.rpm
libpurple-devel-2.5.5-3.el5.i386.rpm
pidgin-debuginfo-2.5.5-3.el5.i386.rpm
pidgin-devel-2.5.5-3.el5.i386.rpm

x86_64:
finch-devel-2.5.5-3.el5.i386.rpm
finch-devel-2.5.5-3.el5.x86_64.rpm
libpurple-devel-2.5.5-3.el5.i386.rpm
libpurple-devel-2.5.5-3.el5.x86_64.rpm
pidgin-debuginfo-2.5.5-3.el5.i386.rpm
pidgin-debuginfo-2.5.5-3.el5.x86_64.rpm
pidgin-devel-2.5.5-3.el5.i386.rpm
pidgin-devel-2.5.5-3.el5.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1373
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1374
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1375
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1376
http://www.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFKFpl3XlSAg2UNWIIRAnjrAJ9dxygMNAAe1kW+RzuliRGW5tGYMwCeIcUd
9GL+E9KmDvN/j1/0OWa8tnw=
=ypq1
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20091060_02_important_pidgin_security_update.html)